OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.APPLE.RowBytes

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetAPPLERowBytes :: MonadIO m => m Bool
- gl_APPLE_row_bytes :: Bool
- gl_PACK_ROW_BYTES_APPLE :: GLenum
- gl_UNPACK_ROW_BYTES_APPLE :: GLenum

# Extension Support

glGetAPPLERowBytes :: MonadIO m => m Bool

Is the APPLE_row_bytes extension supported?

gl_APPLE_row_bytes :: Bool

Is the APPLE_row_bytes extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLERowBytes` in those cases instead.

# Enums

gl_PACK_ROW_BYTES_APPLE :: GLenum

gl_UNPACK_ROW_BYTES_APPLE :: GLenum